Precautionary Recall Of 3 Plus Avalanche Transceivers

News
Viewed 403 time(s)

Feedback from ORTOVOX’s Safety Academy Partners has revealed that, in some rare situations, temporary disruption of the transmission function may occur on the ORTOVOX 3+ avalanche transceivers running software version 2.1.

This can lead to prolongation of the search process. The reason for the disruption is a software error.

There have been no known accidents caused by the software error. However, as a precautionary measure to ensure customers are not at risk, ORTOVOX is recalling all 3+ transceivers running software version 2.1. Devices affected by the recall may no longer be used without the required software update to version 2.2.

The error was identified and rectified in extensive internal tests. The new software version 2.2 will rectify the error.

Which Devices Are Affected?

This precautionary recall applies exclusively to ORTOVOX 3+ avalanche transceivers running software version 2.1, no matter what color. 3+ devices running software versions 1.0, 1.1, 2.0, 2.2 and all other ORTOVOX avalanche transceivers (S1+, S1, ZOOM) are not affected.

To find out which software version your ORTOVOX 3+ uses, visit www.ortovox.com and follow the instructions.

  • Like what you read?

    Want to know when we have important news, updates or interviews?

  • Join our newsletter today!

    Sign Up

You Might Also Be Interested In...

Share

Send to your friends!